<?php 
require_once 'report.model.php';

$ReportModelo = new ReportModel();

if(isset($_GET['operacion'])){

	//Obtenemos las carpetas que a las que se ha importado 
	if($_GET['operacion'] == 'carpetas'){

		$carpetas = $ReportModelo->Carpetas_Importadas();

		$combo .= '<option value="">Seleccione</option>';

		foreach($carpetas as $fila){
			//Obtenemos la extesni+on del archivo 
			$combo .= '<option value="'.$fila[0].'">'.$fila[0].'</option>';
		}

		echo $combo;

	}

	//Listamos los registros importados 
	if($_GET['operacion'] == 'report'){

		$registros = $ReportModelo->Listar_TablaImport($_GET['carpeta']);

		//Actualizamos Validamos si la tabla tiene registros 
		if($registros){
			echo '<table class="table table-responsive">
					  <thead class="thead-dark">
					    <tr>
					      <th scope="col">N°</th>
					      <th scope="col">Nombre_Archivo</th>
					      <th scope="col">Size</th>
					      <th scope="col">Extensión_Vtiger</th>
					      <th scope="col">Fecha Creación</th>
					      <th scope="col">Migrado</th>
					    </tr>
					  </thead>
					  <tbody>';

			//$registros = $ExportModelo->ListarTablaTemporal();

			//Creamos un array con las extensiones permitidas en vtiger 
			$ext_vtiger = array(
				"xls" => "application/vnd.ms-excel",
				"xlsx" => "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
				"xlsm" => "application/vnd.ms-excel.sheet.macroEnabled.12",
				"csv" => "application/vnd.ms-excel",
				"rar" => "application/octet-stream",
				"zip" => "application/zip",
				"pdf" => "application/pdf",
				"PDF" => "application/pdf",
				"pptx" => "application/vnd.openxmlformats-officedocument.presentationml.presentation",
				"JPG" => "image/jpeg",
				"jpg" => "image/jpeg",
				"jpeg" => "image/jpeg",
				"png" => "image/jpeg",
				"DOCX" => "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
				"docx" => "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
				"doc" => "application/msword",
				"DWG" => "application/octet-stream",
				"dwg" => "application/octet-stream",
				"msg" => "application/octet-stream",
				"tif" => "application/octet-stream"
			);
			foreach($registros as $fila){
				//Obtenemos la extesni+on del archivo 
				$objetoextension = new SplFileInfo($fila[3]);
				$extension = strtolower($objetoextension->getExtension()); // DEVUELVE LA EXTENSION EN Minusculas, REVISAR LA TABLA TABLE EN HTML HABER SI NO MUESTRA ERRORES AL MOMENTO DE COMPARAR
				echo '</tr>';
					echo '<td>'.$fila[0].'</td>';
					echo '<td>'.$fila[3].'</td>';
					echo '<td>'.$fila[1].'</td>';
					echo '<td>'.$ext_vtiger[$extension].'</td>';
					echo '<td>'.date("Y-m-d H:i:s", strtotime($fila[2])).'</td>';
					if($fila[5] == '1'){
						echo '<td style="color:green">ENCONTRADO</td>';
					}else{
						echo '<td style="color:red">NO ENCONTRADO</td>';

					}
				echo '</tr>';
			}

			echo '	   </tbody>
					</table>';
		}
		else{
			echo '<div class="alert alert-danger" role="alert" style="text-align:center;">
				  No se han encontrado registros en la tabla de reporte
				</div>';
		}
		

		

	}

	
}

//Obtenemos los registros




 ?>